| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# SAXException Class Reference

Encapsulate a general SAX error or warning. More...

Inheritance diagram for SAXException:

[legend]
Collaboration diagram for SAXException:

[legend]
List of all members.

## Public Methods

Constructors and Destructor
| SAXException ()
| Default constructor.
| SAXException (const XMLCh *const msg)
| Create a new SAXException.
| SAXException (const char *const msg)
| Create a new SAXException.
| SAXException (const SAXException &toCopy)
| Copy constructor.
virtual | ~SAXException ()
| Destructor.
Public Operators
SAXException & | operator= (const SAXException &toCopy)
| Assignment operator.
Getter Methods
virtual const XMLCh * | getMessage () const
| Get the contents of the message.

## Protected Attributes

XMLCh * | fMsg

## Detailed Description

Encapsulate a general SAX error or warning.

This class can contain basic error or warning information from either the XML SAX parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the SAXParseException subclass.

See also:
  SAXParseException::SAXParseException

## Constructor & Destructor Documentation

SAXException::SAXException | ( |  | ) |

| Default constructor.

SAXException::SAXException | ( | const XMLCh *const | msg | ) |

Create a new SAXException.

Parameters:

  msg | The error or warning message.

SAXException::SAXException | ( | const char *const | msg | ) |

Create a new SAXException.

Parameters:

  msg | The error or warning message.

SAXException::SAXException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters:

  toCopy | The exception to be copy constructed

virtual SAXException::~SAXException | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual const XMLCh* SAXException::getMessage | ( |  | ) | const`[virtual]`

| Get the contents of the message.

SAXException& SAXException::operator= | ( | const SAXException & | toCopy | ) |

Assignment operator.

Parameters:

  toCopy | The object to be copied

## Member Data Documentation

XMLCh* SAXException::fMsg`[protected]`

The documentation for this class was generated from the following file:

- SAXException.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.